<%@ Page Language="C#" MasterPageFile="~/main.master" Title="Untitled Page" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">

    protected void btnAdd_Click(object sender, EventArgs e)
    {
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand("select isnull(max(iid),0) + 1 from income", con);
            int iid = (int)cmd.ExecuteScalar();
            cmd.CommandText = "insert into income values(@iid,@uid,@hcode,@hdesc,@dt,@amount)";
            cmd.Parameters.Add("@iid", SqlDbType.Int).Value = iid;
            cmd.Parameters.Add("@uid", SqlDbType.Int).Value = (int)Session["uid"];
            cmd.Parameters.Add("@hcode", SqlDbType.VarChar, 4).Value = ddlHead.SelectedValue;
            cmd.Parameters.Add("@hdesc", SqlDbType.VarChar, 30).Value = txtDesc.Text;
            cmd.Parameters.Add("@dt", SqlDbType.VarChar, 10).Value = txtDate.Text;
            cmd.Parameters.Add("@amount", SqlDbType.Money).Value = txtAmount.Text;

            cmd.ExecuteNonQuery();
            lblMsg.Text = "Income Entry Added Successfully!";

        } // end of try
        catch (Exception ex)
        {
            lblMsg.Text = "Error : " + ex.Message;
        } 
        finally
        {
            con.Close();
        }

    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3>
        Add Income Entry</h3>
    <p>
        <table>
            <tr>
                <td>
                    Select Income Head</td>
                <td>
                    <asp:DropDownList ID="ddlHead" runat="server" Width="247px" DataSourceID="SqlDataSource1" DataTextField="hdesc" DataValueField="hcode"> 
                    </asp:DropDownList>
                    <a href="addincomehead.aspx">Add Head</a>
                    
                    </td>
                    
            </tr>
            <tr>
                <td>
                    Enter Income Amount
                </td>
                <td>
                    <asp:TextBox ID="txtAmount" runat="server" Width="96px"></asp:TextBox>
                    Date &nbsp;<asp:TextBox ID="txtDate" runat="server" Width="93px"></asp:TextBox>(MM/DD/YY)</td>
            </tr>
            <tr>
                <td>
                    Enter Income Description
                </td>
                <td>
                    <asp:TextBox ID="txtDesc" runat="server" Width="239px"></asp:TextBox></td>
            </tr>
        </table>
    </p>
    <asp:Button ID="btnAdd" runat="server"  Text="Add Income" OnClick="btnAdd_Click" /><br />
    <br />
    <asp:Label ID="lblMsg" runat="server"></asp:Label>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:paConnectionString %>"
        SelectCommand="SELECT [hcode], [hdesc] FROM [incomeheads] WHERE ([uid] = @uid)">
        <SelectParameters>
            <asp:SessionParameter Name="uid" SessionField="uid" Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>
    <br />
</asp:Content>

