<%@ Page Language="C#" MasterPageFile="~/main.master" Title="Untitled Page" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">

    protected void btnAdd_Click(object sender, EventArgs e)
    {
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand("insert into incomeheads values(@uid,@code,@desc)", con);
            cmd.Parameters.Add("@uid", SqlDbType.Int).Value = (int) Session["uid"];
            cmd.Parameters.Add("@code", SqlDbType.VarChar, 4).Value = txtCode.Text;
            cmd.Parameters.Add("@desc", SqlDbType.VarChar, 30).Value = txtDesc.Text;
            cmd.ExecuteNonQuery();
            lblMsg.Text = "Income Head Added Successfully!"; 
              
        } // end of try
        catch (Exception ex)
        {
            lblMsg.Text = "Error : " + ex.Message;
        }
        finally
        {
            con.Close();
        }

    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3>
        Add Income Head</h3>
    <p>
        <table>
            <tr>
                <td>
                    Enter Income Head Code ( Upto 4 Char)</td>
                <td>
                    <asp:TextBox ID="txtCode" runat="server" Height="18px" Width="100px"></asp:TextBox></td>
            </tr>
            <tr>
                <td>
                    Enter Incode Head Description
                </td>
                <td>
                    <asp:TextBox ID="txtDesc" runat="server" Width="200px"></asp:TextBox></td>
            </tr>
        </table>
    </p>
    <p>
        <asp:Button ID="btnAdd" runat="server" Text="Add Head" OnClick="btnAdd_Click" />&nbsp;</p>
    <p>
        <asp:Label ID="lblMsg" runat="server"></asp:Label>&nbsp;</p>
</asp:Content>

