<%@ Page Language="C#" MasterPageFile="~/main.master" Title="Untitled Page" %>
<%@ Import Namespace="System.Data.SqlClient"%>
<%@ Import Namespace="System.Data"%>

<script runat="server">

  protected void btnUnregister_Click(object sender, EventArgs e)
  {
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure ;
            cmd.CommandText = "unregisteruser";
            cmd.Parameters.Add("@uid",SqlDbType.Int).Value = (int) Session["uid"];
            cmd.ExecuteNonQuery ();
            Session.Abandon ();
            Response.Redirect("login.aspx");
        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error ->" + ex.Message;
        }
        finally
        {
            con.Close();
        }                        
 }

protected void  btnCancel_Click(object sender, EventArgs e)
{
   Server.Transfer("default.aspx");
}
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3>
        Unregistration</h3>
    <br />
    <span style="font-size: 11pt; color: #cc3333"><strong>Unregistration will remove all
        your details of income, expenses, deposits, mutual funds, and insurance. Registering
        later will not allow you to get back these details.
        <br />
        <br />
        If you really want to unregister and remove your data from our database, click on&nbsp;
        UNREGISTER ME button below, otherwiser click on CANCEL button to goto home page.<br />
    </strong></span>
    <br />
    <asp:Button ID="btnUnregister" runat="server" OnClick="btnUnregister_Click" Text="Unregister Me" />&nbsp;<asp:Button
        ID="btnCancel" runat="server" Text="Cancel" Width="118px" OnClick="btnCancel_Click" /><br />
    <br />
    <br />
    <asp:Label ID="lblMsg" runat="server"></asp:Label>
</asp:Content>

