<%@ Page Language="C#" MasterPageFile="~/main.master" Title="Untitled Page" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">

    protected void btnAdd_Click(object sender, EventArgs e)
    { SqlConnection con = new SqlConnection(Database.ConnectionString);
    try
    {
        con.Open();
        SqlCommand cmd = new SqlCommand("select isnull(max(did),0) + 1 from deposits", con);
        int did = (int)cmd.ExecuteScalar();
        cmd.CommandText = "insert into deposits values(@did,@uid,@dno,@ddesc,@depdate,@depamt,@matdate,@matamt,@irate)";
        cmd.Parameters.Add("@did", SqlDbType.Int).Value = did;
        cmd.Parameters.Add("@uid", SqlDbType.Int).Value = (int)Session["uid"];
        cmd.Parameters.Add("@dno", SqlDbType.VarChar, 4).Value = txtDno.Text;
        cmd.Parameters.Add("@ddesc", SqlDbType.VarChar, 30).Value = txtDDesc.Text;
        cmd.Parameters.Add("@depamt", SqlDbType.Money).Value = txtDepAmt.Text;
        cmd.Parameters.Add("@depdate", SqlDbType.VarChar, 10).Value = txtDepDate.Text;
        cmd.Parameters.Add("@matamt", SqlDbType.Money).Value = txtMatAmt.Text;
        cmd.Parameters.Add("@matdate", SqlDbType.VarChar, 10).Value = txtMatDate.Text;
        cmd.Parameters.Add("@irate", SqlDbType.Money).Value = txtIrate.Text;

        cmd.ExecuteNonQuery();
        lblMsg.Text = "Deposit Added Successfully!";

    } // end of try
    catch (Exception ex)
    {
        lblMsg.Text = "Error : " + ex.Message;
    } 
        
    finally
    {
        con.Close();
    }
  }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3>
    Add Deposit</h3>
    <table>
        <tr>
            <td>
                Deposit No.</td>
            <td>
                <asp:TextBox ID="txtDno" runat="server" Width="149px"></asp:TextBox></td>
        </tr>
        <tr>
            <td>
                Description</td>
            <td>
                <asp:TextBox ID="txtDDesc" runat="server" Width="282px"></asp:TextBox></td>
        </tr>
        <tr>
            <td>
                Deposit Amount</td>
            <td>
                <asp:TextBox ID="txtDepAmt" runat="server" Width="73px"></asp:TextBox>
                Date&nbsp;
                <asp:TextBox ID="txtDepDate" runat="server" Width="70px"></asp:TextBox>
                (mm/dd/yy)</td>
        </tr>
        <tr>
            <td>
                Maturity Amount
            </td>
            <td>
                <asp:TextBox ID="txtMatAmt" runat="server" Width="71px"></asp:TextBox>
                Date&nbsp;
                <asp:TextBox ID="txtMatDate" runat="server" Width="69px"></asp:TextBox>
                (mm/dd/yy)</td>
        </tr>
        <tr>
            <td>
                Interest Rate</td>
            <td>
                <asp:TextBox ID="txtIrate" runat="server" Width="68px"></asp:TextBox></td>
        </tr>
    </table>
    <br />
    <asp:Button ID="btnAdd" runat="server" Text="Add Deposit" OnClick="btnAdd_Click" /><br />
    <br />
    <asp:Label ID="lblMsg" runat="server"></asp:Label>
</asp:Content>

