<%@ Page Language="C#" MasterPageFile="~/allusers.master" Title="Untitled Page" StylesheetTheme="all" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">

    protected void btnLogin_Click(object sender, EventArgs e)
    {
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand("select uid,fullname from users where email = @email and pwd = @pwd", con);
            cmd.Parameters.Add("@email", SqlDbType.VarChar, 40).Value = txtEmail.Text;
            cmd.Parameters.Add("@pwd", SqlDbType.VarChar, 10).Value = txtPwd.Text;

            SqlDataReader dr = cmd.ExecuteReader();
            if (dr.Read())
            {
                Session.Add("uid", dr["uid"]);
                Session.Add("fullname", dr["fullname"]);
                FormsAuthentication.RedirectFromLoginPage(txtEmail.Text, false);
            }
            else
            {
                lblMsg.Text = "Sorry! Invalid Login. Try Again!";
            }
        } // end of try
        catch (Exception ex)
        {
            lblMsg.Text = "Error : " + ex.Message;
        }
        finally
        {
            con.Close();
        }
    } 
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<center>
    <h3>Login</h3>
    <br />
    <table bgcolor="tan">
        <tr>
            <td style="height: 26px">
                Email Address :
            </td>
            <td style="height: 26px" >
                <asp:TextBox ID="txtEmail" runat="server" Width="229px"></asp:TextBox></td>
        </tr>
        <tr>
            <td align="left">
                Password :
            </td>
            <td align="left">
                <asp:TextBox ID="txtPwd" runat="server" TextMode="Password" Width="148px"></asp:TextBox></td>
        </tr>
    </table>
    <br />
    <asp:Button ID="btnLogin" runat="server" Text="Login" OnClick="btnLogin_Click" /><br />
    <br />
    <asp:Label ID="lblMsg" runat="server"></asp:Label>
    <p></p>
    <a href="all/forgotpassword.aspx">Forgot Password?</a>
    <p/>
    <a href="all/newuser.aspx">Register As New User?</a>
    
    </center>
</asp:Content>

